<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>if</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="for">
<meta name="keywords"       content="SELFPHP, PHP, Kontroll-Mechanismen, if">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-02T13:19+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/kontroll_mechanismen/if.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-02T13:19+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // Kontroll-Mechanismen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Kontroll-Mechanismen</b></a></td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%">
      <h2>if</h2></td>
</tr>
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" nowrap colspan="2"> 
      <p> <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#tipp"><b>Tipp</b></a><br>
      </p>
    </td>
  </tr>
  <tr>
    <td colspan=3 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td>
  </tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF"><b>if</b></td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20">
      <p>&nbsp;</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="283">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Mit if wird ein Kontrollmechanismus eingeleitet und abgearbeitet, wenn 
        dieser<br>
        wahr ist. Dabei m&uuml;ssen die Bedingungen innerhalb der Abfrage einen 
        logischen<br>
        Wert (True oder False) zur&uuml;ckliefern.<br>
        Als False wird die Zahl 0, der String &quot;0&quot; oder &quot;&quot; 
        (leer) gesehen, w&auml;hrend alle<br>
        anderen R&uuml;ckgabewerte True darstellen.<br>
        Im Folgenden sehen Sie Operatoren f&uuml;r die Ausdr&uuml;cke, um diese 
        bei der<br>
        &Uuml;berpr&uuml;fung von Bedingungen nutzen zu k&ouml;nnen.<br>
        <br>
        Logische Operatoren:</p>
      <ul>
        <li> and $x und $y m&uuml;ssen gleich sein</li>
        <li>or $x oder $y muss TRUE sein</li>
        <li>xor $x und $y d&uuml;rfen nicht gleich sein (Ungleich)</li>
        <li>&amp;&amp;&#133;$x und $y m&uuml;ssen gleich sein</li>
        <li>||&#133;$x oder $y muss TRUE sein</li>
        <li>!&#133; $x und $y d&uuml;rfen nicht gleich sein (Ungleich)</li>
      </ul>
      <p> Vergleichoperatoren</p>
      <ul>
        <li>&quot; ==...$x und $y m&uuml;ssen gleich sein</li>
        <li>&quot; !=... $x und $y d&uuml;rfen nicht gleich sein (Ungleich)</li>
        <li>&quot; &gt; $x muss gr&ouml;&szlig;er als $y sein</li>
        <li>&quot; &lt; $x muss kleiner als $y sein</li>
        <li>&quot; &gt;= $x muss gr&ouml;&szlig;er oder gleich $y sein</li>
        <li>&quot; &lt;= $x muss kleiner oder gleich $y sein</li>
      </ul>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="64">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>$x = 0;</pre>
      <pre><b>1.M&ouml;glichkeit (einzeilige if-Abfrage)</b></pre>
      <pre>if($x == 0) echo &quot;Die Variable ist Null&quot;;</pre>
      <pre>oder</pre>
      <pre>if($x == 0):
  echo &quot;Die Variable ist Null&quot;;
endif;</pre>
      <pre><b>2.M&ouml;glichkeit (mehrzeilige if-Abfrage)</b></pre>
      <pre>if($x == 0) {
  echo &quot;Die Variable ist Null&quot;;
  echo &quot;Eine sehr kleine Zahl&quot;;
}</pre>
      <pre>oder</pre>
      <pre>if($x == 0):
  echo &quot;Die Variable ist Null&quot;;
  echo &quot;Eine sehr kleine Zahl&quot;;
endif;</pre>
      <pre><b>3.M&ouml;glichkeit (HTML-Code umschlie&szlig;en)</b></pre>
      <pre>&lt;?PHP
  if($x == 0){
?&gt;
Hier kann ganz normaler HTML-Code stehen
&lt;?PHP
}
?&gt;</pre>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="tipp">Tipp</a></h2>

<table width="100%" cellpadding=10 height="37">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Achten Sie darauf, dass bei der 3. M&ouml;glichkeit der zu schlie&szlig;ende 
        if-Zweig<br>
        innerhalb von einem PHP-Syntax steht. <br>
        Zwischen dem if-Zweig kann beliebiger HTML-Code stehen und man muss nicht<br>
        auf PHP-typische Sonderzeichen achten, welche innerhalb von PHP gesondert<br>
        gesch&uuml;tzt werden m&uuml;ssen.</p>
      </td>
  </tr></table>


<p>&nbsp;</p>

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="if_else.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="if_else.html"><b>if...else</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="foreach.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="foreach.html"><b>foreach</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Kontroll-Mechanismen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>